Page MenuHomePhabricator

Parsoid HTML-wikitext conversion throws errors with some references adapted in CX
Closed, ResolvedPublic1 Story Points

Description

Following error and similar errors are noted while analysing the parsoid logs for CX publishing(using https://logstash.wikimedia.org)

no data-mw name for extension in: <span about="#mwt26" class="mw-ref" id="cxcite_ref-electronic_1-1" rel="dc:references" typeof="mw:Extension/ref" contenteditable="false" data-sourceid="cite_ref-electronic_1-1"><a href="#cite_note-electronic-1" style="counter-reset: mw-Ref 1;"><span class="mw-reflink-text">[1]</span></a><a href="#cite_note-electronic-1" style="counter-reset: mw-Ref 1;"></a><a href="#cite_note-electronic-1" style="counter-reset: mw-Ref 1;"></a></span>

The above error caused this revision : https://es.wikipedia.org/w/index.php?title=Vaporwave&oldid=84053572
Note the red errors about references

A similar page with errors: https://es.wikipedia.org/w/index.php?title=Attack_%26_Release&oldid=84052884

Event Timeline

santhosh created this task.Jul 29 2015, 6:24 AM
santhosh claimed this task.
santhosh raised the priority of this task from to High.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 6:24 AM

Change 227652 had a related patch set uploaded (by Santhosh):
Improve reference adaptation to avoid parsoid errors

https://gerrit.wikimedia.org/r/227652

santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 1 board.Jul 29 2015, 6:42 AM
santhosh edited a custom field.Jul 29 2015, 6:47 AM
Amire80 renamed this task from Parsoid HTML-wikitext conversion throws errors with some references adapated in CX to Parsoid HTML-wikitext conversion throws errors with some references adapted in CX.Jul 29 2015, 12:20 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.

Change 227652 merged by jenkins-bot:
Improve reference adaptation to avoid parsoid errors

https://gerrit.wikimedia.org/r/227652

Arrbee moved this task from In Review to Done on the LE-CX6-Sprint 1 board.Aug 5 2015, 7:06 AM
Arrbee closed this task as Resolved.Aug 7 2015, 7:08 AM
Arrbee added a subscriber: Arrbee.